---
title: Bulk update
url: https://www.tines.com/docs/api/cases/bulk/fields/update/
updated: 2026-06-02T15:13:42+00:00
description: Update fields on multiple cases at once.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Bulk](https://www.tines.com/llm/docs/api/cases/bulk.md) › [Fields](https://www.tines.com/llm/docs/api/cases/bulk/fields.md)*

# Bulk update

*[View on tines.com](https://www.tines.com/docs/api/cases/bulk/fields/update/)*

## Description

Update fields on multiple cases at once.

## Request

HTTP Method: **POST**

| Parameter | Description                         |
| --------- | ----------------------------------- |
| case_ids  | An array of case IDs to update.     |
| fields    | An array of field objects to apply. |

| Field Parameter | Description                                                                                                                                   |
| --------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| input_id        | The ID of the case input to use with the field.                                                                                               |
| value           | The value of the field.                                                                                                                       |
| upsert          | **Optional** By default, only cases already associated with this field are updated. Set to true to add the field to cases that don't have it. |

> **Note**: For case inputs with "Allow multiple" enabled, provide `value` as a pipe-delimited string, for example `"option1|option2"`.

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v2/cases/bulk/fields \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "case_ids": [42, 43, 44],
        "fields": [
          {
            "input_id": 1,
            "value": "High",
            "upsert": true
          },
          {
            "input_id": 2,
            "value": "Security Team"
          }
        ]
      }'
```

## Response

A successful request will return a JSON object with the updated cases and their fields.

### Field description

| Parameter | Description                       |
| --------- | --------------------------------- |
| cases     | An array of updated case objects. |

| Case object | Description                       |
| ----------- | --------------------------------- |
| case_id     | The ID of the case.               |
| fields      | An array of fields for this case. |

| Field object | Description                                             |
| ------------ | ------------------------------------------------------- |
| id           | The field ID.                                           |
| value        | The value of the field.                                 |
| case_input   | An object containing the ID and name of the case input. |

### Sample response

```json
{
  "cases": [
    {
      "case_id": 42,
      "fields": [
        {
          "id": 1,
          "value": "High",
          "case_input": {
            "id": 1,
            "name": "Priority"
          }
        },
        {
          "id": 2,
          "value": "Security Team",
          "case_input": {
            "id": 2,
            "name": "Assigned Team"
          }
        }
      ]
    },
    {
      "case_id": 43,
      "fields": [
        {
          "id": 3,
          "value": "High",
          "case_input": {
            "id": 1,
            "name": "Priority"
          }
        },
        {
          "id": 4,
          "value": "Security Team",
          "case_input": {
            "id": 2,
            "name": "Assigned Team"
          }
        }
      ]
    },
    {
      "case_id": 44,
      "fields": [
        {
          "id": 5,
          "value": "High",
          "case_input": {
            "id": 1,
            "name": "Priority"
          }
        },
        {
          "id": 6,
          "value": "Security Team",
          "case_input": {
            "id": 2,
            "name": "Assigned Team"
          }
        }
      ]
    }
  ]
}
```
